labs
testimonials

Compatibility with OS X 10.6 (Snow Leopard)

Since Mountain Lion release I have dropped support for Snow Leopard. I understand this may disappoint you, but please let me focus on future. Historical TotalFinder versions work just fine with Snow Leopard, they just lack the latest features and bug fixes.

The last Snow Leopard compatible version is TotalFinder 1.3.4.


I simply decided to support only last two OS versions. Currently Mountain Lion and Lion.

I wrote about my decision in this blog post.

You may comment on it here.